### Method

# Ide Runner get_runtime

#### Declaration

    IdeRuntime*
    ide_runner_get_runtime (
      IdeRunner* self
    )

#### Description

This function will get the `IdeRuntime` that will be used to execute the application. Consumers may want to use this to determine if a particular program is available (such as gdb, perf, strace, etc).

Available since: | 3.32

#### Return value

Returns: | `IdeRuntime`
| An `IdeRuntime` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.